<template>
  <div>
    <h1 class="mb-6">What type of {{ drugName }} do you prefer?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        v-model="selected"
        :input-value="choice.value"
        class="relative"
      >
        <div>
          <section class="flex mb-3 justify-between">
            <div class="mr-6">
              <div class="mb-1 text-base">{{ choice.value }}</div>
              <div class="text-xs text-grey-dark">{{ choice.description }}</div>
            </div>
            <div
              class="w-16 h-12 bg-no-repeat bg-center bg-contain"
              :style="`background-image: url(${choice.img})`"
            />
          </section>
          <section>
            <div>
              <div class="font-bold text-xl">{{ choice.price }}$</div>
              <div class="text-base">per dose</div>
            </div>
            <div
              v-if="choice.badgeText"
              class="absolute right-0 bottom-8 info-badge"
            >
              {{ choice.badgeText }}
            </div>
          </section>
        </div>
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import RadioInput from "@/components/inputs/RadioInput";
import {constants} from "@/constants";

export default {
  components: {RadioInput, CommonBtn},
  mixins: [answersMixin],
  name: "TreatmentPreferenceWhatType",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.TREATMENT_PREFERENCE, newVal, 'what_type')
    }
  },
  data() {
    return {
      selected: null,
      choicesByDrug: {
        [constants.SHORT_TABLET_NAME[constants.SILDENAFIL_FULL_NAME]]: [
          {value: '20mg Generic Viagra', description: 'Recommended for people who have never taken ED medications before.', price: '2', img: require('@/assets/img/misc/pill-generic-viagra-20mg.png'), badgeText: 'Discount Applied'},
          {value: 'Generic Viagra', description: 'Recommended for people who have taken ED medications before.', price: '10', img: require('@/assets/img/misc/pill-generic-viagra.png'), badgeText: 'Most Popular'},
          {value: 'Viagra', description: 'Authentic Viagra made by Pfizer.', price: '90', img: require('@/assets/img/misc/pill-viagra.png')},
        ],
        [constants.SHORT_TABLET_NAME[constants.TADALAFIL_FULL_NAME]]: [
          {value: 'Generic Cialis Daily', description: 'Cialis daily generic is taken once a day at a lower dosage than regular Cialis generic', price: '3', img: require('@/assets/img/misc/pill-generic-cialis-daily.png'), badgeText: 'Most Popular'},
          {value: 'Generic Cialis', description: 'Authentic generic version of Cialis, just as effective but for less', price: '10', img: require('@/assets/img/misc/pill-generic-cialis.png')},
        ],
      }
    }
  },
  computed: {
    choices() {
      return this.choicesByDrug[this.drugName] || []
    },
    drugName() {
      const fullName = this.answer(this.answersKeys.TREATMENT_PREFERENCE)?.what_drug
      return constants.SHORT_TABLET_NAME[fullName] ?? 'ERROR'
    }
  }
}
</script>

<style scoped>

</style>
